WordPress for XOOPS

PHP7とXOOPS Cube環境下でのPHPエラーメッセージ

PHP7とXOOPS Cube環境下でのPHPから、以下の様なエラーメッセージがエラーログに記録されます。
「Methods with the same name as their class will not be constructors in a future version of PHP」

とりあえず、XOOPS X(ten)の最新ブランチに更新して様子を見ます。

ほかにもXPressME Integration Kitで、500エラーになります。
これについては、以下の「PHP 7.0 対応について(XPressME Integration Kit の対応)」が参考になります。

参考サイト
XCL (XOOPS Cube Legacy) の PHP 5.6 対応
PHP 7.0 対応について(XPressME Integration Kit の対応)
PHP7調査(15)PHP4スタイルのコンストラクタが非推奨になった

トラックバック・ピンバックはありません

トラックバック / ピンバックは現在受け付けていません。

現在コメントは受け付けていません。